Skip to main content
GET
/
agents
/
{agentName}
/
sessions
Get agent sessions
curl --request GET \
  --url https://api.pipecat.daily.co/v1/agents/{agentName}/sessions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total_count": 330,
  "sessions": [
    {
      "sessionId": "800d444a-e67e-4686-afb3-b0de509cccb3",
      "serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
      "organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
      "deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
      "endedAt": "2025-10-22T08:39:26.000Z",
      "botStartSeconds": 0,
      "coldStart": false,
      "completionStatus": "HTTP_COMPLETED",
      "createdAt": "2025-10-22T08:39:26.000Z",
      "updatedAt": "2025-10-22T08:39:26.000Z"
    },
    {
      "sessionId": "803349cc-2ae0-437a-9a72-408817299e43",
      "serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
      "organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
      "deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
      "endedAt": "2025-10-22T08:38:09.000Z",
      "botStartSeconds": 2,
      "coldStart": true,
      "completionStatus": "HTTP_COMPLETED",
      "createdAt": "2025-10-22T08:38:09.000Z",
      "updatedAt": "2025-10-22T08:38:09.000Z"
    },
    {
      "sessionId": "44003e83-b679-46ef-88ec-18e9ea9dd81d",
      "serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
      "organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
      "deploymentId": "f76bae42-5ce8-4ae3-8a75-0349bfd7ec63",
      "endedAt": "2025-10-21T08:17:47.000Z",
      "botStartSeconds": 0,
      "coldStart": false,
      "completionStatus": "HTTP_ERROR",
      "createdAt": "2025-10-21T08:17:22.000Z",
      "updatedAt": "2025-10-21T08:17:38.000Z"
    }
  ]
}
{
"error": "Invalid parameters",
"err": {
"issues": [
{
"received": "bad_value",
"code": "invalid_enum_value",
"options": [
"active",
"ended",
"all"
],
"path": [
"status"
],
"message": "Invalid enum value. Expected 'active' | 'ended' | 'all', received 'bad_value'"
}
],
"name": "ZodError"
},
"code": "400"
}
{
"error": "API endpoint not found / agent deployment not found / Organization not found",
"code": "404"
}
{
"error": "Internal server error. Please check logs for more information or contact support.",
"code": "500"
}

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent to retrieve sessions for

Query Parameters

limit
integer
default:10

Maximum number of sessions to return

offset
integer
default:0

Number of sessions to skip

deploymentId
string

Filter sessions to a specific deployment ID

startTime
integer

Filter sessions to those after this Unix timestamp

endTime
integer

Filter sessions to those before this Unix timestamp

status
enum<string>
default:all

Filter sessions to those with this status

Available options:
active,
ended,
all
startType
enum<string>
default:all

Filter sessions to those with this start type

Available options:
cold,
warm,
all
startTimeMin
integer
default:0

Filter sessions to those whose start times are greater than this value in seconds

startTimeMax
integer
default:0

Filter sessions to those whose start times are less than this value in seconds

Response

Agent sessions retrieved successfully

total_count
integer

Total number of sessions matching the parameters

sessions
object[]

List of sessions